Skip to content

Remove a specific channel preference

DELETE
/v1/notifications/preferences
curl --request DELETE \
--url https://api.adversarial.com/api/v1/notifications/preferences \
--header 'Content-Type: application/json' \
--data '{ "channel": "Platform", "notification_type": "AssignedRisk" }'
Media typeapplication/json

A single channel preference entry

object
channel
required

The notification channel (Platform, Email, Slack, etc.)

string
Allowed values: Platform Email Slack Teams
notification_type
required

The type of notification

string
Allowed values: AssignedRisk RiskChanged NewRiskComment NewLowRisk NewMediumRisk NewHighRisk NewCriticalRisk IncChanged NewSev1Inc NewSev2Inc NewSev3Inc NewFraudInc NewExtortionInc NewSabotageInc NewDataDisclosureInc NewCustomerTargetingInc NewResourceHijackingInc NewIncComment AssignedInc DowngradedInc InvitedToOrg RisksCreated IncidentsCreated Mentioned

Preference removed successfully

Media typeapplication/json

Response containing all notification preferences

object
available_channels
required

Available notification channels for the organization

Array<string>
Allowed values: Platform Email Slack Teams
categories
required

Notification categories with their preferences

Array<object>

Category containing notification types with their channel preferences

object
category
required

The notification category

string
Allowed values: Threats Risks Incidents Compliance General Default
notification_types
required

Notification types with their channel preferences

Array<object>

Notification type with its channel preferences

object
display_name
required

The display name of the notification type

string
enabled_channels
required

List of channels that are enabled for this notification type

Array<string>
Allowed values: Platform Email Slack Teams
is_global
required

If true, this notification type is subscribed at the type level (global) rather than for specific items

boolean
notification_type
required

The notification type

string
Allowed values: AssignedRisk RiskChanged NewRiskComment NewLowRisk NewMediumRisk NewHighRisk NewCriticalRisk IncChanged NewSev1Inc NewSev2Inc NewSev3Inc NewFraudInc NewExtortionInc NewSabotageInc NewDataDisclosureInc NewCustomerTargetingInc NewResourceHijackingInc NewIncComment AssignedInc DowngradedInc InvitedToOrg RisksCreated IncidentsCreated Mentioned
platform_mandatory
required

If true, the Platform channel preference is mandatory and cannot be disabled

boolean
Example
{
"available_channels": [
"Platform"
],
"categories": [
{
"category": "Threats",
"notification_types": [
{
"enabled_channels": [
"Platform"
],
"notification_type": "AssignedRisk"
}
]
}
]
}

Invalid request